| Home | Libraries | People | FAQ | More

#### error

Error codes returned the library.

##### Synopsis

Defined in header `<boost/url/error.hpp>`

    enum error

##### Values

Name | Description
--- | ---
`success` | The operation completed successfully.
`illegal_null` | Null encountered in pct-encoded.
`illegal_reserved_char` | Illegal reserved character in encoded string.
`non_canonical` | A grammar element was not in canonical form.
`bad_pct_hexdig` | Bad hexadecimal digit. This error condition is fatal.
`incomplete_encoding` | The percent-encoded sequence is incomplete. This error condition is fatal.
`missing_pct_hexdig` | Missing hexadecimal digit. This error condition is fatal.
`no_space` | No space in output buffer. This error is returned when a provided output buffer was too small to hold the complete result of an algorithm.
`not_a_base` | The URL is not a base URL.

Convenience header `<boost/url.hpp>`